For the complete documentation index, see llms.txt. This page is also available as Markdown.

Suppliers

Get suppliers

get
/suppliers/

This api is used to sync suppliers with WorkorderApp. Each supplier record can contain the following data:

Parameter
Description
Required
Type (size)

sup_code

Unique code of the supplier. Used as reference for other entities

Y

Varchar (255)

sup_name

Supplier name

Y

Varchar (255)

sup_image

Url of the image name. POST: An external url should be provided. GET: You will receive a workorderapp url.

N

Varchar (255)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/suppliers/
GET /suppliers/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add suppliers

post
/suppliers/

This api is used to sync suppliers with WorkorderApp. Each supplier record can contain the following data:

Parameter
Description
Required
Type (size)

sup_code

Unique code of the supplier. Used as reference for other entities

Y

Varchar (255)

sup_name

Supplier name

Y

Varchar (255)

sup_image

Url of the image name. POST: An external url should be provided. GET: You will receive a workorderapp url.

N

Varchar (255)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/suppliers/
POST /suppliers/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?